<?php
require_once ("../../config/Cado.php");


require_once ("../canchapos/cCanchapos.php");
$oCanchapos = new cCanchapos();
require_once("../hora/cHora.php");
$oHora = new cHora();
require_once("../formatos/formato.php");

	$dts=$oCanchapos->mostrarUno($_POST['res_id']);
	$dt = mysqli_fetch_array($dts);
			$fec = $dt['tb_separacioncancha_fecforini'];
			$hini = $dt['tb_separacioncancha_horforini'];
			$cli_tel = $dt['tb_cliente_tel'];
			$cli_nom = $dt['tb_cliente_nom'];
			$est = $dt['tb_separacioncancha_est'];
			$det = $dt['tb_separacioncancha_des'];
			$tiemin = $dt['tb_separacioncancha_tiemin'];
			$horainitime = $dt['tb_separacioncancha_horainitime'];
			$horafintime = $dt['tb_separacioncancha_horafintime'];
			$mon = $dt['tb_separacioncancha_ade'];
			$usu_id = $dt['tb_usuario_id'];
			$can_nom = $dt['tb_cancha_nom'];
			$emp_nom = $dt['tb_empresa_nomcom'];
			
			$usu_reg = $dt['tb_usuario_nom'].' '.$dt['tb_usuario_ape'];
	mysqli_free_result($dts);
	
	
		$dts2=$oHora->mostrarxValor($hini);
    	$dt2 = mysqli_fetch_array($dts2);
		$valor = $dt2['tb_hora_nom'];
        mysqli_free_result($dts2);
	
	
	
	
	$tiem_hor = $tiemin/60 . ' H.';
	

$menwa= '

Estimado(a) cliente: '.$cli_nom.' %0A
Por la presente le comunicamos la reserva de campo deportivo : '.$can_nom.': %0A
%0A
TIEMPO : '.$tiem_hor.' %0A
FECHA : '.mostrarFecha($fec).' %0A
HORA INICIO : '.$valor.' %0A
%0A
ATTE : '.$emp_nom.'

';


$men= '

Estimado(a) cliente: '.$cli_nom.' <br/>
Por la presente le comunicamos la reserva de campo deportivo : '.$can_nom.' <br/>
<br/>
TIEMPO : '.$tiem_hor.' <br/>
FECHA : '.mostrarFecha($fec).' <br/>
HORA INICIO : '.$valor.' <br/>
<br/>
ATTE : '.$emp_nom.'

	';





?>		
					<div class="box-header">
						<h3 class="box-title">ENVIAR WHATSAPP</h3>
					</div>
					<div class="box-body">
					<div class="form-group">
							
							<div class="row">
							<div class="col-lg-12 col-sm-12 col-xs-12">
								<label for="txt_numero">Numero whatsapp:</label> 						
								<div class="input-group">
 									<input name="txt_numero" type="phone" autocomplete="off" value="<?php echo $cli_tel; ?>" class="form-control input-sm" id="txt_numero" style="text-align:right;" >
 														
									<span id="div_pago_agregar" class="input-group-btn">
 										<a id="btn_enviarwhatsap" class="btn btn-success btn-flat"  href="javascript:void(0)"><i class="fab fa-whatsapp"></i></a> 
 									</span>
 								</div>				
							</div>
							
							<div class="col-lg-12 col-md-12 col-xs-12">
									<label for="txt_wa_men">Mensaje:</label>	
									<textarea style="display:none;" name="txt_wa_men" id="txt_wa_men"><?php echo $menwa?></textarea>
									<div style="font-size:1rem;font-weight:bold;"><?php echo $men?></div>	
							</div>
							</div>
			
			
							
						</div>
					</div>
		
			<div class="box-footer float-right">
				<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
			</div>
		
<script type="text/javascript">
	
	function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
	}
	
	
	$('#btn_enviarwhatsap').click(function(){
		
		if($('#txt_numero').val()>0){
			text = $('#txt_wa_men').val();
			abrirEnPestana('https://api.whatsapp.com/send?phone=+51'+$('#txt_numero').val()+'&text='+text);
		}else{
			toastr["error"]('Ingrese un numero de whatsapp');
		}
		
		
	});
	


$(document).ready(function() {
		
	
});
	
	
</script>